return gears.table.join(
	awful.key( {"Mod4"}, "p",
		function ()
			awful.prompt.run {
				prompt = "<b>Really shutdown? (y/n/r) </b>",
				textbox = awful.screen.focused().mypromptbox.widget,
				exe_callback = bin.system.shutdown
			}
		end,
		{
			description = "Shutdown",
			group = "System"
		}
	),

	awful.key( {"Mod4"}, "a",
		function ()
			bin.system.lock()
		end,

		{
			description = "Lock screen",
			group = "System"
		}
	),

	awful.key( {"Mod4", "Control"}, "x",
		function ()
			-- requires sudoers rule
			awful.spawn("sudo systemctl restart lightdm")
		end,

		{
			description = "Restart lightdm",
			group = "System"
		}
	)
)
